Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA::InvalidPolicy Exception Reference

`#include <PortableServerC.h>`

List of all members.

## Public Methods
| InvalidPolicy (void)
| InvalidPolicy (const InvalidPolicy &)
| ~InvalidPolicy (void)
InvalidPolicy & | operator= (const InvalidPolicy &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
| InvalidPolicy (CORBA::UShort _tao_index)
## Static Public Methods
InvalidPolicy * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
unsigned short | index
CORBA::UShort | index

## Constructor & Destructor Documentation

PortableServer::POA::InvalidPolicy::InvalidPolicy | ( | void |  | ) |

PortableServer::POA::InvalidPolicy::InvalidPolicy | ( | const InvalidPolicy & |  | ) |

PortableServer::POA::InvalidPolicy::~InvalidPolicy | ( | void |  | ) |

PortableServer::POA::InvalidPolicy::InvalidPolicy | ( | CORBA::UShort | _tao_index | ) |

## Member Function Documentation

CORBA::Exception* PortableServer::POA::InvalidPolicy::_alloc | ( | void |  | ) | `[static]`

InvalidPolicy* PortableServer::POA::InvalidPolicy::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

virtual void PortableServer::POA::InvalidPolicy::_raise | ( | void |  | ) | `[virtual]`

virtual void PortableServer::POA::InvalidPolicy::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual CORBA::Exception* PortableServer::POA::InvalidPolicy::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableServer::POA::InvalidPolicy::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

InvalidPolicy& PortableServer::POA::InvalidPolicy::operator= | ( | const InvalidPolicy & |  | ) |

## Member Data Documentation

CORBA::UShort PortableServer::POA::InvalidPolicy::index

unsigned short PortableServer::POA::InvalidPolicy::index

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h